%{?nodejs_find_provides_and_requires}

# test BR: not yet in fedora
%global enable_tests 0
%global module_name mimic-response

Name:           nodejs-%{module_name}
Version:        1.0.0
Release:        2%{?dist}
Summary:        Mimic a Node.js HTTP response stream


License:        MIT
URL:            https://github.com/sindresorhus/mimic-response
Source0:        https://github.com/sindresorhus/%{module_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(create-test-server)
BuildRequires:  npm(pify)
BuildRequires:  npm(xo)
%endif

%description
Mimic a Node.js HTTP response stream.

%prep
%autosetup -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
xo && ava
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Apr 04 2018 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

